Skip to navigation

Get Country

Returns a single Country. Gets a country. A country or territory, identifiable by an ISO 3166 country code.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
The ID of the country.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body that the client accepts. Typically application/json.

Response

The requested country.
countrystringOptional
Country name.
country_iso2stringOptional

2-letter country code.

country_iso3stringOptional

3-letter country code.

idintegerOptional
Id of the country.
statesobjectOptional

Refers to the states object return in GET countries requests.